<?php
/**********************************************************************
***********************************************************************/

$page_security = 'SA_BANKTRANSVIEW';
$path_to_root="../..";

include($path_to_root . "/includes/db_pager.inc");
include_once($path_to_root . "/includes/session.inc");

include_once($path_to_root . "/includes/date_functions.inc");
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/gl/includes/ui/batch_bank_transfer_req_inquiry_ui.inc");
include_once($path_to_root . "/gl/includes/db/batch_bank_transfer_db.inc");



$js = "";
if ($SysPrefs->use_popup_windows)
	$js .= get_js_open_window(800, 500);
if (user_use_date_picker())
	$js .= get_js_date_picker();


page(_($help_context = "Batch Bank Transfer Requests Inquiry"), false, false, "", $js);

//-----------------------------------------------------------------------------------
// Ajax updates
//

if (isset($_GET['project_id']))
{
	$_POST['project_id'] = $_GET['project_id'];
}
if (isset($_GET['trans_type']))
{
	$_POST['filtering_tran_type'] = $_GET['trans_type'];
}
if (isset($_GET['from_date']))
{
	$_POST['from_date'] = $_GET['from_date'];
}
if (isset($_GET['to_date']))
{
	$_POST['to_date'] = $_GET['to_date'];
}


if (get_post('Search'))
{
	$Ajax->activate('journal_tbl');
}
//--------------------------------------------------------------------------------------
if (!isset($_POST['filterType']))
	$_POST['filterType'] = -1;




start_form();


display_batch_bank_transfer_requests_inquiry_filtering_controls();


display_batch_bank_transfer_requests_inquiry();


end_form();
end_page();

?>
